Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.jce.provider
Class JDKISOSignature

    java.lang.Object
      java.security.SignatureSpi
          org.bouncycastle.jce.provider.JDKISOSignature

Direct Known Subclasses:
  JDKISOSignature.MD5WithRSAEncryption, JDKISOSignature.RIPEMD160WithRSAEncryption, JDKISOSignature.SHA1WithRSAEncryption

    public class JDKISOSignature

extends java.security.SignatureSpi

Nested Class Summary
`static class` | `JDKISOSignature.MD5WithRSAEncryption`
`static class` | `JDKISOSignature.RIPEMD160WithRSAEncryption`
`static class` | `JDKISOSignature.SHA1WithRSAEncryption`

Field Summary

Fields inherited from class java.security.SignatureSpi
`appRandom`

Constructor Summary
`protected` | `JDKISOSignature(Digest digest, AsymmetricBlockCipher cipher)`

Method Summary
`protected java.lang.Object` | `engineGetParameter(java.lang.String param)` Deprecated.
`protected void` | `engineInitSign(java.security.PrivateKey privateKey)`
`protected void` | `engineInitVerify(java.security.PublicKey publicKey)`
`protected void` | `engineSetParameter(java.security.spec.AlgorithmParameterSpec params)`
`protected void` | `engineSetParameter(java.lang.String param, java.lang.Object value)` Deprecated. replaced with
`protected byte[]` | `engineSign()`
`protected void` | `engineUpdate(byte b)`
`protected void` | `engineUpdate(byte[] b, int off, int len)`
`protected boolean` | `engineVerify(byte[] sigBytes)`

Methods inherited from class java.security.SignatureSpi
`clone, engineGetParameters, engineInitSign, engineSign, engineUpdate, engineVerify`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JDKISOSignature

    protected JDKISOSignature(Digest digest,
                              AsymmetricBlockCipher cipher)

Method Detail

### engineInitVerify

    protected void engineInitVerify(java.security.PublicKey publicKey)
                             throws java.security.InvalidKeyException

  Specified by:
    `engineInitVerify` in class `java.security.SignatureSpi`
  Throws:
    `java.security.InvalidKeyException`

### engineInitSign

    protected void engineInitSign(java.security.PrivateKey privateKey)
                           throws java.security.InvalidKeyException

  Specified by:
    `engineInitSign` in class `java.security.SignatureSpi`
  Throws:
    `java.security.InvalidKeyException`

### engineUpdate

    protected void engineUpdate(byte b)
                         throws java.security.SignatureException

  Specified by:
    `engineUpdate` in class `java.security.SignatureSpi`
  Throws:
    `java.security.SignatureException`

### engineUpdate

    protected void engineUpdate(byte[] b,
                                int off,
                                int len)
                         throws java.security.SignatureException

  Specified by:
    `engineUpdate` in class `java.security.SignatureSpi`
  Throws:
    `java.security.SignatureException`

### engineSign

    protected byte[] engineSign()
                         throws java.security.SignatureException

  Specified by:
    `engineSign` in class `java.security.SignatureSpi`
  Throws:
    `java.security.SignatureException`

### engineVerify

    protected boolean engineVerify(byte[] sigBytes)
                            throws java.security.SignatureException

  Specified by:
    `engineVerify` in class `java.security.SignatureSpi`
  Throws:
    `java.security.SignatureException`

### engineSetParameter

    protected void engineSetParameter(java.security.spec.AlgorithmParameterSpec params)

  Overrides:
    `engineSetParameter` in class `java.security.SignatureSpi`

### engineSetParameter

    protected void engineSetParameter(java.lang.String param,
                                      java.lang.Object value)

  Deprecated. replaced with

  Specified by:
    `engineSetParameter` in class `java.security.SignatureSpi`

### engineGetParameter

    protected java.lang.Object engineGetParameter(java.lang.String param)

  Deprecated.

  Specified by:
    `engineGetParameter` in class `java.security.SignatureSpi`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD